Skip to main content
aboutsummaryrefslogblamecommitdiffstats
blob: 9c267c277ebf47f863af9ecaf3c501b21ce9990b (plain) (tree)
































































                                                                                                                                                                                                                                                                                                                                                                   
<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="org.eclipse.epp.package.papyrus.feature"
      label="EPP Papyrus Feature"
      version="1.4.0.qualifier"
      provider-name="Eclipse.org - EPP"
      plugin="org.eclipse.epp.package.papyrus">

   <description>
      This modeling package contains a collection of Eclipse Modeling Project components, including EMF, GMF, MDT XSD/OCL/UML2, M2M, M2T, and EMFT elements. It includes a complete SDK, developer tools and source code. Note that the Modeling package includes some incubating components, as indicated by feature numbers less than 1.0.0 on the feature list.
   </description>

   <license url="license.html">
      %license
   </license>

   <url>
      <discovery label="Helios" url="http://download.eclipse.org/releases/helios/"/>
      <discovery label="Eclipse Platform 3.6" url="http://download.eclipse.org/eclipse/updates/3.6"/>
   </url>

   <includes
         id="org.eclipse.platform"
         version="0.0.0"
         search-location="both"/>

   <requires>
      <import feature="org.eclipse.cvs" version="1.1.0" match="greaterOrEqual"/>
      <import feature="org.eclipse.equinox.p2.user.ui" version="1.1.0" match="greaterOrEqual"/>
      <import feature="org.eclipse.help" version="1.1.0" match="greaterOrEqual"/>
      <import feature="org.eclipse.jdt" version="3.6.0" match="greaterOrEqual"/>
      <import feature="org.eclipse.pde" version="3.6.0" match="greaterOrEqual"/>
      <import feature="org.eclipse.sdk" version="3.6.0" match="greaterOrEqual"/>
      <import feature="org.eclipse.rcp" version="3.6.0" match="greaterOrEqual"/>
      <import feature="org.eclipse.mylyn.ide_feature"/>
      <import feature="org.eclipse.mylyn.java_feature"/>
      <import feature="org.eclipse.mylyn.pde_feature"/>
      <import feature="org.eclipse.mylyn.bugzilla_feature"/>
      <import feature="org.eclipse.mylyn.context_feature"/>
      <import feature="org.eclipse.mylyn_feature"/>
      <import feature="org.eclipse.mylyn.wikitext_feature"/>
      <import feature="org.eclipse.emf.sdk"/>
      <import feature="org.eclipse.gef.sdk"/>
      <import feature="org.eclipse.uml2.sdk"/>
      <import feature="org.eclipse.ocl.all.sdk"/>
      <import feature="org.eclipse.emf.transaction.sdk"/>
      <import feature="org.eclipse.emf.ecoretools.sdk"/>
      <import feature="org.eclipse.emf.query.sdk"/>
      <import feature="org.eclipse.xsd.sdk"/>
      <import feature="org.eclipse.emf.validation.sdk"/>
      <import feature="org.eclipse.emf.mint.sdk"/>
      <import feature="org.eclipse.emf.compare.sdk"/>
      <import feature="org.eclipse.amalgam.discovery"/>
      <import feature="org.eclipse.emf.cdo.epp"/>
      <import feature="org.eclipse.epp.package.common.feature"/>
      <import feature="org.eclipse.papyrus.sdk" version="0.7.1" match="greaterOrEqual"/>
   </requires>

   <plugin
         id="org.eclipse.epp.package.papyrus"
         download-size="0"
         install-size="0"
         version="0.0.0"/>

</feature>

Back to the top